SupplierProduct

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class SupplierProduct

    java.lang.Object
      com.fenalco.entities.SupplierProduct

    public class SupplierProduct

extends java.lang.Object

Author:
  Andrés Esta clase representa un producto de la base de datos.

Field Summary
`private java.lang.String` | `activePrinciple` Principio activo del producto
`private java.lang.String` | `brand` Marca del producto
`private int` | `category` Identificador de la categoría a la cual pertenece el producto
`private java.lang.String` | `categoryName` Nombre de la categoría a la cual pertenece el producto
`private java.lang.String` | `code` c{odigo de barras del producto
`private java.lang.String` | `codeSupplier` Código interno que el proveedor utiliza para el producto TODO: este campo puede no ir
`private java.lang.String` | `color` Color del producto
`private int` | `completeLayers` Número de capas que tiene una unidad logística
`private boolean` | `consumerUnit` identifica si es unidad de consumo o no
`private float` | `depth` Profundidad del artículo
`private java.lang.String` | `depthUnit` Unidades en las que se mide la profundidad del artículo
`private boolean` | `despatchUnit` identifica si es unidad de despacho o no
`private java.lang.String` | `functionalName` Es el nombre del objeto que se esta codificando.
`private float` | `grossWeight` Peso bruto del producto
`private java.lang.String` | `grossWeightUnit` Unidades en las que se mide el peso bruto del producto
`private float` | `height` Altura del artículo
`private java.lang.String` | `heightUnit` Unidades en las que se mide la altura del artículo
`private int` | `id` Identificador de la tabla
`private java.lang.String` | `image` URL en donde se encuentra la imagen
`private boolean` | `invoiceUnit` indica si es unidad de comercio o no
`private int` | `itemsContainedInALayer` Numero de productos por capa dentro de la unidad logística
`private java.lang.String` | `longDescription` descripción larga del producto (máximo 40 caracteres)
`private java.lang.String` | `manufacturerName` Nombre del fabricante
`private float` | `maximumTemperature` Temperatura máxima que soporta el artículo
`private float` | `minimumTemperature` Temperatura mímina que soporta el artículo
`private float` | `netContent` El contenido del producto dentro del envase.
`private java.lang.String` | `netContentUnit` Unidad en que se mide el contenido del producto
`private float` | `netWeight` peso neto del producto
`private java.lang.String` | `netWeightUnit` Unidades en las que se mide el peso neto del producto
`private boolean` | `nurit` indica si el producto se va a mostrar en el nurit
`private java.lang.String` | `packagingType` Tipo de empaque del producto
`private java.lang.String` | `pharmaceuticalForm` forma farmacéutica del producto.
`private int` | `pieces` Se refiere al numero de piezas de un producto específicamente para el sector textil
`private java.lang.String` | `sanitaryRegistry` Número del registro sanitario del producto
`private java.sql.Date` | `sanitaryRegistryDate` Se refiere a la fecha de registro sanitario del producto
`private java.lang.String` | `shortDescription` Descripción corta del producto (máximo 18 caracteres)
`private java.lang.String` | `size` talla del producto
`private int` | `stackingWeightMaximum` Número máximo de unidades que se pueden apilar
`private boolean` | `status` indic el estado del producto, esto es si el proveedor lo esta vendiendo o no
`private java.lang.String` | `style` Estilo
`private java.lang.String` | `supplierGLN` identificador del proveedor al que está asociado este producto
`private int` | `supplierId` Identificador del proveedor que publica el producto
`private java.lang.String` | `supplierName` Nombre del proveedor
`private float` | `tax` IVA
`private java.lang.String` | `temperatureUnit` Unidad en la que se miden las temperaturas
`private java.lang.String` | `variant` Tipo de tela del articulo, sabor o fragancia
`private float` | `width` Ancho del artículo
`private java.lang.String` | `widthUnit` Unidades en las que se mide el ancho del artículo

Constructor Summary
`SupplierProduct()` Crea un nuevo producto vacio
`SupplierProduct(int prodId)` Crea un nuevo producto y llama al método loadData para que lo cargue de la base de datos
`SupplierProduct(java.lang.String prodCode, int suppCode)` Crea un nuevo producto y llama al método loadData para que lo cargue de la base de datos

Method Summary
`static boolean` | `changeStatus(Transaction t, int supplierProductId, int newStatus)`
`boolean` | `delete(Transaction transaction)` No se van a eliminar los productos de la base de datos, ya que esto implicaría borrar las ordenes de compra, cotizaciones y listas que involucran dichos productos, en lugar de ello simplemente se va a poner el estado del producto en false, lo que indica que el proveedor no lo está vendiendo.
`java.lang.String` | `getActivePrinciple()`
`java.lang.String` | `getBrand()`
`int` | `getCategory()`
`java.lang.String` | `getCategoryName()`
`java.lang.String` | `getCode()`
`java.lang.String` | `getCodeSupplier()`
`java.lang.String` | `getColor()`
`int` | `getCompleteLayers()`
`float` | `getDepth()`
`java.lang.String` | `getDepthUnit()`
`java.lang.String` | `getFunctionalName()`
`float` | `getGrossWeight()`
`java.lang.String` | `getGrossWeightUnit()`
`float` | `getHeight()`
`java.lang.String` | `getHeightUnit()`
`int` | `getId()`
`java.lang.String` | `getImage()`
`int` | `getItemsContainedInALayer()`
`java.lang.String` | `getLongDescription()`
`java.lang.String` | `getManufacturerName()`
`float` | `getMaximumTemperature()`
`float` | `getMinimumTemperature()`
`float` | `getNetContent()`
`java.lang.String` | `getNetContentUnit()`
`float` | `getNetWeight()`
`java.lang.String` | `getNetWeightUnit()`
`java.lang.String` | `getPackagingType()`
`java.lang.String` | `getPharmaceuticalForm()`
`int` | `getPieces()`
`static java.lang.Double` | `getPriceInCommunity(int prodId, int commId)`
`static java.lang.String` | `getProductName(int prodId)`
`java.lang.String` | `getSanitaryRegistry()`
`java.sql.Date` | `getSanitaryRegistryDate()`
`java.lang.String` | `getShortDescription()`
`java.lang.String` | `getSize()`
`int` | `getStackingWeightMaximum()`
`java.lang.String` | `getStyle()`
`static int` | `getSupplierFromProduct(int prodId)`
`java.lang.String` | `getSupplierGLN()`
`int` | `getSupplierId()`
`java.lang.String` | `getSupplierName()` Getter for property supplierName.
`float` | `getTax()`
`java.lang.String` | `getTemperatureUnit()`
`java.lang.String` | `getVariant()`
`float` | `getWidth()`
`java.lang.String` | `getWidthUnit()`
`boolean` | `isConsumerUnit()`
`boolean` | `isDespatchUnit()`
`boolean` | `isInvoiceUnit()`
`boolean` | `isNurit()`
`boolean` | `isStatus()`
`boolean` | `loadData(int prodId)` carga un producto de la base de datos a partir de su identificador
`boolean` | `loadData(java.lang.String prodCode, int suppCode)` carga un producto de la base de datos a partir del código de barras y el identificador del proveedor al que está asociado el producto
`boolean` | `loadData(java.lang.String prodCode, java.lang.String suppGLN)`
`boolean` | `loadMinimalData(int id)`
`static void` | `main(java.lang.String[] args)`
`boolean` | `saveData(Transaction transaction)` Almacena la información del producto en la base de datos construyendo la instrucción sql y pasandola a la transacción
`void` | `setActivePrinciple(java.lang.String activePrinciple)`
`void` | `setBrand(java.lang.String brand)`
`void` | `setCategory(int category)`
`void` | `setCategoryName(java.lang.String categoryName)`
`void` | `setCode(java.lang.String code)`
`void` | `setCodeSupplier(java.lang.String codeSupplier)`
`void` | `setColor(java.lang.String color)`
`void` | `setCompleteLayers(int completeLayers)`
`void` | `setConsumerUnit(boolean consumerUnit)`
`void` | `setDepth(float depth)`
`void` | `setDepthUnit(java.lang.String depthUnit)`
`void` | `setDespatchUnit(boolean despatchUnit)`
`void` | `setFunctionalName(java.lang.String functionalName)`
`void` | `setGrossWeight(float grossWeight)`
`void` | `setGrossWeightUnit(java.lang.String grossWeightUnit)`
`void` | `setHeight(float height)`
`void` | `setHeightUnit(java.lang.String heightUnit)`
`void` | `setId(int id)`
`void` | `setImage(java.lang.String image)`
`void` | `setInvoiceUnit(boolean invoiceUnit)`
`void` | `setItemsContainedInALayer(int itemsContainedInALayer)`
`void` | `setLongDescription(java.lang.String longDescription)`
`void` | `setManufacturerName(java.lang.String manufacturarName)`
`void` | `setMaximumTemperature(float maximumTemperature)`
`void` | `setMinimumTemperature(float minimumTemperature)`
`void` | `setNetContent(float netContent)`
`void` | `setNetContentUnit(java.lang.String netContentUnit)`
`void` | `setNetWeight(float netWeight)`
`void` | `setNetWeightUnit(java.lang.String netWeightUnit)`
`void` | `setNurit(boolean nurit)`
`void` | `setPackagingType(java.lang.String packagingType)`
`void` | `setPharmaceuticalForm(java.lang.String pharmaceuticalForm)`
`void` | `setPieces(int pieces)`
`void` | `setSanitaryRegistry(java.lang.String sanitaryRegistry)`
`void` | `setSanitaryRegistryDate(java.sql.Date sanitaryRegistryDate)`
`void` | `setShortDescription(java.lang.String shortDescription)`
`void` | `setSize(java.lang.String size)`
`void` | `setStackingWeightMaximum(int stackingWeightMaximum)`
`void` | `setStatus(boolean estado)`
`void` | `setStyle(java.lang.String style)`
`void` | `setSupplierGLN(java.lang.String supplierGLN)`
`void` | `setSupplierId(int suplierId)`
`void` | `setSupplierName(java.lang.String supplierName)` Setter for property supplierName.
`void` | `setTax(float tax)`
`void` | `setTemperatureUnit(java.lang.String temperatureUnit)`
`void` | `setVariant(java.lang.String variant)`
`void` | `setWidth(float width)`
`void` | `setWidthUnit(java.lang.String widthUnit)`
`boolean` | `update(Transaction transaction)` Actualiza la información del producto en la base de datos creando la instrucción sql y pasandola a la transacción

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

  Identificador de la tabla

### code

    private java.lang.String code

  c{odigo de barras del producto

### supplierGLN

    private java.lang.String supplierGLN

  identificador del proveedor al que está asociado este producto

### category

    private int category

  Identificador de la categoría a la cual pertenece el producto

### categoryName

    private java.lang.String categoryName

  Nombre de la categoría a la cual pertenece el producto

### codeSupplier

    private java.lang.String codeSupplier

  Código interno que el proveedor utiliza para el producto TODO: este campo puede no ir

### longDescription

    private java.lang.String longDescription

  descripción larga del producto (máximo 40 caracteres)

### shortDescription

    private java.lang.String shortDescription

  Descripción corta del producto (máximo 18 caracteres)

### color

    private java.lang.String color

  Color del producto

### size

    private java.lang.String size

  talla del producto

### brand

    private java.lang.String brand

  Marca del producto

### sanitaryRegistry

    private java.lang.String sanitaryRegistry

  Número del registro sanitario del producto

### pharmaceuticalForm

    private java.lang.String pharmaceuticalForm

  forma farmacéutica del producto. Ej: Píldora, Pastilla, Jarabe, etc

### style

    private java.lang.String style

  Estilo

### functionalName

    private java.lang.String functionalName

  Es el nombre del objeto que se esta codificando. Ej: Jabón, Detergente, Crema Dental, Pantalón, Teléfono etc

### variant

    private java.lang.String variant

  Tipo de tela del articulo, sabor o fragancia

### manufacturerName

    private java.lang.String manufacturerName

  Nombre del fabricante

### activePrinciple

    private java.lang.String activePrinciple

  Principio activo del producto

### consumerUnit

    private boolean consumerUnit

  identifica si es unidad de consumo o no

### despatchUnit

    private boolean despatchUnit

  identifica si es unidad de despacho o no

### invoiceUnit

    private boolean invoiceUnit

  indica si es unidad de comercio o no

### width

    private float width

  Ancho del artículo

### widthUnit

    private java.lang.String widthUnit

  Unidades en las que se mide el ancho del artículo

### netWeight

    private float netWeight

  peso neto del producto

### netWeightUnit

    private java.lang.String netWeightUnit

  Unidades en las que se mide el peso neto del producto

### depth

    private float depth

  Profundidad del artículo

### depthUnit

    private java.lang.String depthUnit

  Unidades en las que se mide la profundidad del artículo

### height

    private float height

  Altura del artículo

### heightUnit

    private java.lang.String heightUnit

  Unidades en las que se mide la altura del artículo

### grossWeight

    private float grossWeight

  Peso bruto del producto

### grossWeightUnit

    private java.lang.String grossWeightUnit

  Unidades en las que se mide el peso bruto del producto

### minimumTemperature

    private float minimumTemperature

  Temperatura mímina que soporta el artículo

### maximumTemperature

    private float maximumTemperature

  Temperatura máxima que soporta el artículo

### temperatureUnit

    private java.lang.String temperatureUnit

  Unidad en la que se miden las temperaturas

### stackingWeightMaximum

    private int stackingWeightMaximum

  Número máximo de unidades que se pueden apilar

### completeLayers

    private int completeLayers

  Número de capas que tiene una unidad logística

### itemsContainedInALayer

    private int itemsContainedInALayer

  Numero de productos por capa dentro de la unidad logística

### netContent

    private float netContent

  El contenido del producto dentro del envase. Es la oferta real de producto al consumidor

### netContentUnit

    private java.lang.String netContentUnit

  Unidad en que se mide el contenido del producto

### pieces

    private int pieces

  Se refiere al numero de piezas de un producto específicamente para el sector textil

### sanitaryRegistryDate

    private java.sql.Date sanitaryRegistryDate

  Se refiere a la fecha de registro sanitario del producto

### tax

    private float tax

  IVA

### packagingType

    private java.lang.String packagingType

  Tipo de empaque del producto

### image

    private java.lang.String image

  URL en donde se encuentra la imagen

### supplierId

    private int supplierId

  Identificador del proveedor que publica el producto

### supplierName

    private java.lang.String supplierName

  Nombre del proveedor

### nurit

    private boolean nurit

  indica si el producto se va a mostrar en el nurit

### status

    private boolean status

  indic el estado del producto, esto es si el proveedor lo esta vendiendo o no

Constructor Detail

### SupplierProduct

    public SupplierProduct()

  Crea un nuevo producto vacio

### SupplierProduct

    public SupplierProduct(int prodId)

  Crea un nuevo producto y llama al método loadData para que lo cargue de la base de datos

  Parameters:
    `prodId` - identificador del producto en la base de datos

### SupplierProduct

    public SupplierProduct(java.lang.String prodCode,
                           int suppCode)

  Crea un nuevo producto y llama al método loadData para que lo cargue de la base de datos

  Parameters:
    `prodCode` - código de barras del producto
    `suppCode` - identificador del proveedor al que está asociado el producto

Method Detail

### loadData

    public boolean loadData(int prodId)

  carga un producto de la base de datos a partir de su identificador

  Parameters:
    `prodId` - identificador del producto en la tabla
  Returns:
    booleano que indica si se pudo cargar o no

### loadData

    public boolean loadData(java.lang.String prodCode,
                            int suppCode)

  carga un producto de la base de datos a partir del código de barras y el identificador del proveedor al que está asociado el producto

  Parameters:
    `prodCode` - código de barras del producto
    `suppCode` - identificador del proveedor
  Returns:
    booleano que indica si se pudo cargar o no

### loadData

    public boolean loadData(java.lang.String prodCode,
                            java.lang.String suppGLN)

### loadMinimalData

    public boolean loadMinimalData(int id)

### saveData

    public boolean saveData(Transaction transaction)

  Almacena la información del producto en la base de datos construyendo la instrucción sql y pasandola a la transacción

  Parameters:
    `transaction` - Transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo efectuar la operación o no

### update

    public boolean update(Transaction transaction)

  Actualiza la información del producto en la base de datos creando la instrucción sql y pasandola a la transacción

  Parameters:
    `transaction` - Transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo efectuar la operación o no

### delete

    public boolean delete(Transaction transaction)

  No se van a eliminar los productos de la base de datos, ya que esto implicaría borrar las ordenes de compra, cotizaciones y listas que involucran dichos productos, en lugar de ello simplemente se va a poner el estado del producto en false, lo que indica que el proveedor no lo está vendiendo.

  Parameters:
    `transaction` - Transacción que se está ejecutando
  Returns:
    booleno que indica si se pudo efectuar la operación o no

### getActivePrinciple

    public java.lang.String getActivePrinciple()

  Returns:
    Returns the activePrinciple.

### setActivePrinciple

    public void setActivePrinciple(java.lang.String activePrinciple)

  Parameters:
    `activePrinciple` - The activePrinciple to set.

### getBrand

    public java.lang.String getBrand()

  Returns:
    Returns the brand.

### setBrand

    public void setBrand(java.lang.String brand)

  Parameters:
    `brand` - The brand to set.

### getCategory

    public int getCategory()

  Returns:
    Returns the category.

### setCategory

    public void setCategory(int category)

  Parameters:
    `category` - The category to set.

### getCategoryName

    public java.lang.String getCategoryName()

  Returns:
    Returns the categoryName.

### setCategoryName

    public void setCategoryName(java.lang.String categoryName)

  Parameters:
    `categoryName` - The categoryName to set.

### getCode

    public java.lang.String getCode()

  Returns:
    Returns the code.

### setCode

    public void setCode(java.lang.String code)

  Parameters:
    `code` - The code to set.

### getCodeSupplier

    public java.lang.String getCodeSupplier()

  Returns:
    Returns the codeSupplier.

### setCodeSupplier

    public void setCodeSupplier(java.lang.String codeSupplier)

  Parameters:
    `codeSupplier` - The codeSupplier to set.

### getColor

    public java.lang.String getColor()

  Returns:
    Returns the color.

### setColor

    public void setColor(java.lang.String color)

  Parameters:
    `color` - The color to set.

### getCompleteLayers

    public int getCompleteLayers()

  Returns:
    Returns the completeLayers.

### setCompleteLayers

    public void setCompleteLayers(int completeLayers)

  Parameters:
    `completeLayers` - The completeLayers to set.

### isConsumerUnit

    public boolean isConsumerUnit()

  Returns:
    Returns the consumerUnit.

### setConsumerUnit

    public void setConsumerUnit(boolean consumerUnit)

  Parameters:
    `consumerUnit` - The consumerUnit to set.

### getDepth

    public float getDepth()

  Returns:
    Returns the depth.

### setDepth

    public void setDepth(float depth)

  Parameters:
    `depth` - The depth to set.

### getDepthUnit

    public java.lang.String getDepthUnit()

  Returns:
    Returns the depthUnit.

### setDepthUnit

    public void setDepthUnit(java.lang.String depthUnit)

  Parameters:
    `depthUnit` - The depthUnit to set.

### isDespatchUnit

    public boolean isDespatchUnit()

  Returns:
    Returns the despatchUnit.

### setDespatchUnit

    public void setDespatchUnit(boolean despatchUnit)

  Parameters:
    `despatchUnit` - The despatchUnit to set.

### getFunctionalName

    public java.lang.String getFunctionalName()

  Returns:
    Returns the functionalName.

### setFunctionalName

    public void setFunctionalName(java.lang.String functionalName)

  Parameters:
    `functionalName` - The functionalName to set.

### getGrossWeight

    public float getGrossWeight()

  Returns:
    Returns the grossWeight.

### setGrossWeight

    public void setGrossWeight(float grossWeight)

  Parameters:
    `grossWeight` - The grossWeight to set.

### getGrossWeightUnit

    public java.lang.String getGrossWeightUnit()

  Returns:
    Returns the grossWeightUnit.

### setGrossWeightUnit

    public void setGrossWeightUnit(java.lang.String grossWeightUnit)

  Parameters:
    `grossWeightUnit` - The grossWeightUnit to set.

### getHeight

    public float getHeight()

  Returns:
    Returns the height.

### setHeight

    public void setHeight(float height)

  Parameters:
    `height` - The height to set.

### getHeightUnit

    public java.lang.String getHeightUnit()

  Returns:
    Returns the heightUnit.

### setHeightUnit

    public void setHeightUnit(java.lang.String heightUnit)

  Parameters:
    `heightUnit` - The heightUnit to set.

### getId

    public int getId()

  Returns:
    Returns the id.

### setId

    public void setId(int id)

  Parameters:
    `id` - The id to set.

### isInvoiceUnit

    public boolean isInvoiceUnit()

  Returns:
    Returns the invoiceUnit.

### setInvoiceUnit

    public void setInvoiceUnit(boolean invoiceUnit)

  Parameters:
    `invoiceUnit` - The invoiceUnit to set.

### getItemsContainedInALayer

    public int getItemsContainedInALayer()

  Returns:
    Returns the itemsContainedInALayer.

### setItemsContainedInALayer

    public void setItemsContainedInALayer(int itemsContainedInALayer)

  Parameters:
    `itemsContainedInALayer` - The itemsContainedInALayer to set.

### getLongDescription

    public java.lang.String getLongDescription()

  Returns:
    Returns the longDescription.

### setLongDescription

    public void setLongDescription(java.lang.String longDescription)

  Parameters:
    `longDescription` - The longDescription to set.

### getManufacturerName

    public java.lang.String getManufacturerName()

  Returns:
    Returns the manufacturerName.

### setManufacturerName

    public void setManufacturerName(java.lang.String manufacturarName)

  Parameters:
    `manufacturerName` - The manufacturerName to set.

### getMaximumTemperature

    public float getMaximumTemperature()

  Returns:
    Returns the maximumTemperature.

### setMaximumTemperature

    public void setMaximumTemperature(float maximumTemperature)

  Parameters:
    `maximumTemperature` - The maximumTemperature to set.

### getMinimumTemperature

    public float getMinimumTemperature()

  Returns:
    Returns the minimumTemperature.

### setMinimumTemperature

    public void setMinimumTemperature(float minimumTemperature)

  Parameters:
    `minimumTemperature` - The minimumTemperature to set.

### getNetContent

    public float getNetContent()

  Returns:
    Returns the netContent.

### setNetContent

    public void setNetContent(float netContent)

  Parameters:
    `netContent` - The netContent to set.

### getNetContentUnit

    public java.lang.String getNetContentUnit()

  Returns:
    Returns the netContentUnit.

### setNetContentUnit

    public void setNetContentUnit(java.lang.String netContentUnit)

  Parameters:
    `netContentUnit` - The netContentUnit to set.

### getNetWeight

    public float getNetWeight()

  Returns:
    Returns the netWeight.

### setNetWeight

    public void setNetWeight(float netWeight)

  Parameters:
    `netWeight` - The netWeight to set.

### getNetWeightUnit

    public java.lang.String getNetWeightUnit()

  Returns:
    Returns the netWeightUnit.

### setNetWeightUnit

    public void setNetWeightUnit(java.lang.String netWeightUnit)

  Parameters:
    `netWeightUnit` - The netWeightUnit to set.

### getPackagingType

    public java.lang.String getPackagingType()

  Returns:
    Returns the packagingType.

### setPackagingType

    public void setPackagingType(java.lang.String packagingType)

  Parameters:
    `packagingType` - The packagingType to set.

### getPharmaceuticalForm

    public java.lang.String getPharmaceuticalForm()

  Returns:
    Returns the pharmaceuticalForm.

### setPharmaceuticalForm

    public void setPharmaceuticalForm(java.lang.String pharmaceuticalForm)

  Parameters:
    `pharmaceuticalForm` - The pharmaceuticalForm to set.

### getPieces

    public int getPieces()

  Returns:
    Returns the pieces.

### setPieces

    public void setPieces(int pieces)

  Parameters:
    `pieces` - The pieces to set.

### getSanitaryRegistry

    public java.lang.String getSanitaryRegistry()

  Returns:
    Returns the sanitaryRegistry.

### setSanitaryRegistry

    public void setSanitaryRegistry(java.lang.String sanitaryRegistry)

  Parameters:
    `sanitaryRegistry` - The sanitaryRegistry to set.

### getSanitaryRegistryDate

    public java.sql.Date getSanitaryRegistryDate()

  Returns:
    Returns the sanitaryRegistryDate.

### setSanitaryRegistryDate

    public void setSanitaryRegistryDate(java.sql.Date sanitaryRegistryDate)

  Parameters:
    `sanitaryRegistryDate` - The sanitaryRegistryDate to set.

### getShortDescription

    public java.lang.String getShortDescription()

  Returns:
    Returns the shortDescription.

### setShortDescription

    public void setShortDescription(java.lang.String shortDescription)

  Parameters:
    `shortDescription` - The shortDescription to set.

### getSize

    public java.lang.String getSize()

  Returns:
    Returns the size.

### setSize

    public void setSize(java.lang.String size)

  Parameters:
    `size` - The size to set.

### getStackingWeightMaximum

    public int getStackingWeightMaximum()

  Returns:
    Returns the stackingWeightMaximum.

### setStackingWeightMaximum

    public void setStackingWeightMaximum(int stackingWeightMaximum)

  Parameters:
    `stackingWeightMaximum` - The stackingWeightMaximum to set.

### getStyle

    public java.lang.String getStyle()

  Returns:
    Returns the style.

### setStyle

    public void setStyle(java.lang.String style)

  Parameters:
    `style` - The style to set.

### getSupplierGLN

    public java.lang.String getSupplierGLN()

  Returns:
    Returns the supplierGLN.

### setSupplierGLN

    public void setSupplierGLN(java.lang.String supplierGLN)

  Parameters:
    `supplierGLN` - The supplierGLN to set.

### getTax

    public float getTax()

  Returns:
    Returns the tax.

### setTax

    public void setTax(float tax)

  Parameters:
    `tax` - The tax to set.

### getTemperatureUnit

    public java.lang.String getTemperatureUnit()

  Returns:
    Returns the temperatureUnit.

### setTemperatureUnit

    public void setTemperatureUnit(java.lang.String temperatureUnit)

  Parameters:
    `temperatureUnit` - The temperatureUnit to set.

### getVariant

    public java.lang.String getVariant()

  Returns:
    Returns the variant.

### setVariant

    public void setVariant(java.lang.String variant)

  Parameters:
    `variant` - The variant to set.

### getWidth

    public float getWidth()

  Returns:
    Returns the width.

### setWidth

    public void setWidth(float width)

  Parameters:
    `width` - The width to set.

### getWidthUnit

    public java.lang.String getWidthUnit()

  Returns:
    Returns the widthUnit.

### setWidthUnit

    public void setWidthUnit(java.lang.String widthUnit)

  Parameters:
    `widthUnit` - The widthUnit to set.

### getSupplierId

    public int getSupplierId()

  Returns:
    Returns the suplierId.

### setSupplierId

    public void setSupplierId(int suplierId)

  Parameters:
    `suplierId` - The suplierId to set.

### getImage

    public java.lang.String getImage()

  Returns:
    Returns the image.

### setImage

    public void setImage(java.lang.String image)

  Parameters:
    `image` - The image to set.

### isStatus

    public boolean isStatus()

  Returns:
    Returns the status.

### setStatus

    public void setStatus(boolean estado)

  Parameters:
    `estado` - The status to set.

### isNurit

    public boolean isNurit()

  Returns:
    Returns the nurit.

### setNurit

    public void setNurit(boolean nurit)

  Parameters:
    `nurit` - The nurit to set.

### main

    public static void main(java.lang.String[] args)

### getSupplierName

    public java.lang.String getSupplierName()

  Getter for property supplierName.

  Returns:
    Value of property supplierName.

### setSupplierName

    public void setSupplierName(java.lang.String supplierName)

  Setter for property supplierName.

  Parameters:
    `supplierName` - New value of property supplierName.

### changeStatus

    public static boolean changeStatus(Transaction t,
                                       int supplierProductId,
                                       int newStatus)

### getPriceInCommunity

    public static java.lang.Double getPriceInCommunity(int prodId,
                                                       int commId)

### getSupplierFromProduct

    public static int getSupplierFromProduct(int prodId)

### getProductName

    public static java.lang.String getProductName(int prodId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD